# Changelog

## Recent Changes

* 27 Mar 2026 – Added API key support for programmatic access:
  * Create, list, and revoke API keys via SIWE signature (`/api/v2/api-keys`)
  * Authenticate any profile-scoped endpoint with the `X-Ethos-Api-Key` header
* 1 Dec 2025 – Removed deprecated endpoints:
  * `POST /api/v1/invitations`
  * `GET /api/v1/invitations/pending/:address`,
  * `GET /api/v1/profiles/directory`
* 6 Oct 2025 – Removed deprecated endpoints:
  * `POST /api/v1/reviews`
  * `POST /api/v1/profiles/recent`
* 9 Sep 2025 – Removed deprecated endpoints:
  * `POST /api/v1/reply`
  * `POST /api/v1/reviews/count`
* 8 Aug 2025 – Removed deprecated `/api/v1/activities` endpoint

***

## Deprecated Endpoints

These endpoints will be removed after the advertised date. We will do our best to notify consumers (by their advertised `X-Ethos-Client` header) in advance of removal.

<table><thead><tr><th width="335.4609375">Endpoint</th><th width="274.94921875">Description</th><th>Sunset</th></tr></thead><tbody><tr><td></td><td></td><td></td></tr></tbody></table>

***

## Beta Endpoints

Beta endpoints are recent additions and are still subject to rapid change without further notification to consumers. We will remove the 'beta' tag once they are stable.

***

## Internal Endpoints

Internal endpoints are used by Ethos frontend and are not intended for public consumption. They may change without notice. We intend to 'publish' them to beta status.

| Method | Path                            | Description                                 |
| ------ | ------------------------------- | ------------------------------------------- |
| `GET`  | `/internal/users/{userkey}`     | Fetch user details by userkey.              |
| `GET`  | `/internal/listings`            | Retrieve internal project listings page.    |
| `GET`  | `/internal/listings/{username}` | Retrieve project details for listings page. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ethos.network/api-documentation/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
